## GtkPlotCanvasLine GtkPlotCanvasLine |

## Functions

GtkPlotCanvasChild * | gtk_plot_canvas_line_new ()
void | gtk_plot_canvas_line_set_attributes ()
void | gtk_plot_canvas_line_set_arrow ()

## Types and Values

struct | GtkPlotCanvasLine
enum | GtkPlotCanvasArrow

## Includes

    #include <gtkextra.h>

## Description

FIXME:: need long description

## Functions

### gtk_plot_canvas_line_new ()

    GtkPlotCanvasChild *
    gtk_plot_canvas_line_new (GtkPlotLineStyle style,
                              gfloat width,
                              const GdkColor *color,
                              GtkPlotCanvasArrow arrow_mask);

### gtk_plot_canvas_line_set_attributes ()

    void
    gtk_plot_canvas_line_set_attributes (GtkPlotCanvasLine *line,
                                         GtkPlotLineStyle style,
                                         gfloat width,
                                         const GdkColor *color);

#### Parameters

line | a GtkPlotCanvasLine widget. |

### gtk_plot_canvas_line_set_arrow ()

    void
    gtk_plot_canvas_line_set_arrow (GtkPlotCanvasLine *line,
                                    GtkPlotSymbolStyle style,
                                    gfloat width,
                                    gfloat length,
                                    GtkPlotCanvasArrow mask);

#### Parameters

line | a GtkPlotCanvasLine widget. |

## Types and Values

### struct GtkPlotCanvasLine

    struct GtkPlotCanvasLine {
    };

The GtkPlotCanvasLine struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotCanvasArrow

#### Members

GTK_PLOT_CANVAS_ARROW_NONE |  |
GTK_PLOT_CANVAS_ARROW_ORIGIN |  |
GTK_PLOT_CANVAS_ARROW_END |  |